Skip to content
Start here

Get Silence

client.Alerting.Silences.Get(ctx, silenceID, query) (*SilenceGetResponse, error)
GET/accounts/{account_id}/alerting/v3/silences/{silence_id}

Gets a specific silence for an account.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Zero Trust: PII ReadNotifications WriteNotifications ReadAccount Settings WriteAccount Settings Read
ParametersExpand Collapse
silenceID string

Silence ID

maxLength32
query SilenceGetParams
AccountID param.Field[string]

The account id

maxLength32
ReturnsExpand Collapse
type SilenceGetResponse struct{…}
ID stringoptional

Silence ID

maxLength32
CreatedAt stringoptional

When the silence was created.

EndTime stringoptional

When the silence ends.

PolicyID stringoptional

The unique identifier of a notification policy

maxLength32
StartTime stringoptional

When the silence starts.

UpdatedAt stringoptional

When the silence was modified.

Get Silence

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/alerting"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  silence, err := client.Alerting.Silences.Get(
    context.TODO(),
    "f878e90c23f44126ae3cfc399f646977",
    alerting.SilenceGetParams{
      AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", silence.ID)
}
{
  "errors": [
    {
      "message": "message",
      "code": 1000
    }
  ],
  "messages": [
    {
      "message": "message",
      "code": 1000
    }
  ],
  "success": true,
  "result": {
    "id": "f878e90c23f44126ae3cfc399f646977",
    "created_at": "2022-01-01T00:00:00Z",
    "end_time": "2022-01-01T00:00:00Z",
    "policy_id": "0da2b59ef118439d8097bdfb215203c9",
    "start_time": "2022-01-01T00:00:00Z",
    "updated_at": "2022-01-01T00:00:00Z"
  }
}
Returns Examples
{
  "errors": [
    {
      "message": "message",
      "code": 1000
    }
  ],
  "messages": [
    {
      "message": "message",
      "code": 1000
    }
  ],
  "success": true,
  "result": {
    "id": "f878e90c23f44126ae3cfc399f646977",
    "created_at": "2022-01-01T00:00:00Z",
    "end_time": "2022-01-01T00:00:00Z",
    "policy_id": "0da2b59ef118439d8097bdfb215203c9",
    "start_time": "2022-01-01T00:00:00Z",
    "updated_at": "2022-01-01T00:00:00Z"
  }
}